#!/bin/sh
#---------------------------------------------------------------------------
#   Fuer Unix/Linux
#
#   Startet den MM3-WebAssistant - Proxy Offline Browser - Professional
#


echo
echo "Moechten Sie MM3-WebAssistant ohne eine Console starten?"
echo "Klicken Sie hierzu auf die Datei: MM3-WebAssistant.jar"
echo
echo "Falls damit der MM3-WebAssistant nicht startet:"
echo " - ist Java nicht installiert"
echo " - oder es besteht eine fehlerhafte Dateityp-Zuordnung fuer Java"
echo
echo "Siehe FAQ: https://Proxy-Offline-Browser.de/FAQ.html"
echo


#   JAVA_JRE  Environment Variable muss auf die Java Virtuale Machine (JRE) zeigen.
#             Beispiel:  JAVA_JRE=/usr/lib/java/jre/bin/java
JAVA_JRE=java


#   Wechselt in das Verzeichnis, welches die Datei MM3-WebAssistant.jar enthaelt.
cd `dirname $0`/..


#   Startet den MM3-WebAssistant
"$JAVA_JRE" -jar MM3-WebAssistant.jar


if [ "$?" != "130" ]; then
  echo
  echo "-----------------------------------------------------------------"
  echo
  echo "Java ist nicht installiert"
  echo "oder die Environment Variable ist nicht korrekt definiert."
  echo "Bitte installieren Sie Java bzw. definieren Sie die Evironment Variable in dieser Skript-Datei."
  echo
  echo "Moeglichkeiten zum Download von Java finden Sie in der lokalen Dokumentation:"
  echo "documentation/getJava.html"
  echo
  firefox "documentation/getJava.html" &
fi